package cn.wisenergy.mapper;

import cn.wisenergy.model.app.WorkType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
public interface WorkTypeMapper extends BaseMapper<WorkType> {

    List<WorkType> getAll();

    List<Integer> getIdByReviewer(Integer reviewer);

    List<WorkType> getByIsDelete(Integer isDelete);

    int updateIsDeleteById(Integer id, Integer isDelete);
}
